intern-0.9.6: Efficient hash-consing for arbitrary data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Interned.Internal.Text

# Documentation

data InternedText Source #

Constructors

InternedText |

Fields

- internedTextId :: !Id
- uninternedText :: !Text

#### Instances

Instances details

IsString InternedText Source # |
Instance details Defined in Data.Interned.Internal.Text Methods fromString :: String -> InternedText Source #
Show InternedText Source # |
Instance details Defined in Data.Interned.Internal.Text Methods showsPrec :: Int -> InternedText -> ShowS Source # show :: InternedText -> String Source # showList :: [InternedText] -> ShowS Source #
Eq InternedText Source # |
Instance details Defined in Data.Interned.Internal.Text Methods (==) :: InternedText -> InternedText -> Bool Source # (/=) :: InternedText -> InternedText -> Bool Source #
Ord InternedText Source # |

Instance details

Defined in Data.Interned.Internal.Text

Methods

compare :: InternedText -> InternedText -> Ordering Source #

(<) :: InternedText -> InternedText -> Bool Source #

(<=) :: InternedText -> InternedText -> Bool Source #

(>) :: InternedText -> InternedText -> Bool Source #

(>=) :: InternedText -> InternedText -> Bool Source #

max :: InternedText -> InternedText -> InternedText Source #

min :: InternedText -> InternedText -> InternedText Source #

Hashable InternedText Source # |
Instance details Defined in Data.Interned.Internal.Text Methods hashWithSalt :: Int -> InternedText -> Int Source # hash :: InternedText -> Int Source #
Interned InternedText Source # |

Instance details

Defined in Data.Interned.Internal.Text

Associated Types

data Description InternedText Source #

type Uninterned InternedText Source #

Methods

describe :: Uninterned InternedText -> Description InternedText Source #

identify :: Id -> Uninterned InternedText -> InternedText Source #

seedIdentity :: p InternedText -> Id Source #

cacheWidth :: p InternedText -> Int Source #

modifyAdvice :: IO InternedText -> IO InternedText Source #

cache :: Cache InternedText Source #

Uninternable InternedText Source # |
Instance details Defined in Data.Interned.Internal.Text Methods unintern :: InternedText -> Uninterned InternedText Source #
Eq (Description InternedText) Source # |
Instance details Defined in Data.Interned.Internal.Text Methods (==) :: Description InternedText -> Description InternedText -> Bool Source # (/=) :: Description InternedText -> Description InternedText -> Bool Source #
Hashable (Description InternedText) Source # |
Instance details Defined in Data.Interned.Internal.Text Methods hashWithSalt :: Int -> Description InternedText -> Int Source # hash :: Description InternedText -> Int Source #
newtype Description InternedText Source # |
Instance details Defined in Data.Interned.Internal.Text newtype Description InternedText = DT Text
type Uninterned InternedText Source # |
Instance details Defined in Data.Interned.Internal.Text type Uninterned InternedText = Text